package org.springblade.common.enums;


import lombok.Getter;

/**
 * 钱包当前余额变动枚举
 */
@Getter
public enum MoneySourceEnum {


	RECHARGE("充值", 0,1),
	ORDER_REFUND("订单退款", 1,1),
	JINHUO_REFUND("进货收款", 2,1),
	PRE_AUTHORIZED_REFUND("进货预授权退款", 3,1),
	WITHDRAW("申请提现", 4,2),
	ORDER_CHARGE("订单扣款", 5,2),
	PRE_AUTHORIZED_CHARGE("进货预授权扣款", 6,2),
	RED_PACKET_REFUND("红包余额转入", 7,1),
	WITHDRAW_REJECT("提现失败", 8,1),
	WITHDRAW_PASS("提现成功", 9,2),
	REPETITION_CHARGE("重复打款扣除", 10,2),
	SPECIAL_REFUND("账号收款", 11,1),
	CONSIGNMENT_PAY("积分购买付款", 12,2),
	CONSIGNMENT_REFUND("积分购买收款", 13, 1),
	WITHDRAW_BACKOUT("撤销提现", 8,1);

	private String name;
	private Integer value;
	private Integer type; //1：收入，2：支出

	MoneySourceEnum(String name, Integer value,Integer type) {
		this.name = name;
		this.value = value;
		this.type = type;
	}

}
